> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Organizations Lookup

> Lookup for a given business name or business number across international
business registries.


The lookup will return a list of matching companies that you can then
potentially query using the business profile query.

Each lookup result will have a organizationToken that you use to retrieve the
specific company details using the profile or ownership function.


Note: This process will not save any details from the lookup results.



## OpenAPI

````yaml /specs/fc-kyb-facade-bundled_generated.yaml post /v2/organizations/lookup
openapi: 3.0.3
info:
  title: KYB Facade API
  version: '2.0'
  description: >-
    This is the MVP for Phase 1 APIs for V2 KYB. Currently in development,
    changes to the structure can occur
  contact:
    name: FrankieOne
    url: https://www.frankieone.com
    email: help@frankieone.com
servers:
  - url: https://api.kycaml.frankiefinancial.io
    description: Production API Base URL
  - url: https://api.kycaml.uat.frankiefinancial.io
    description: UAT Environment API Base URL
security:
  - Api-Key: []
tags:
  - name: Organizations
    description: Api calls related to Organizations
  - name: Reports
    description: All Frankie reports
  - name: Hosted URL
    description: Api calls related to Hosted URL
paths:
  /v2/organizations/lookup:
    parameters: []
    post:
      tags:
        - Organizations
      summary: Organizations Lookup
      description: >-
        Lookup for a given business name or business number across international

        business registries.



        The lookup will return a list of matching companies that you can then

        potentially query using the business profile query.


        Each lookup result will have a organizationToken that you use to
        retrieve the

        specific company details using the profile or ownership function.



        Note: This process will not save any details from the lookup results.
      operationId: lookupOrganizations
      parameters:
        - $ref: '#/components/parameters/Api-Key'
        - $ref: '#/components/parameters/X-Frankie-CustomerID'
        - $ref: '#/components/parameters/X-Frankie-CustomerChildID'
        - $ref: '#/components/parameters/X-Frankie-Channel'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Organizations-Lookup-Request'
        description: >-
          An organization name or a number needs to be provided with region
          information to lookup in the specific jurisidiction.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Organizations-Lookup-Response'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '422':
          description: Unprocessable Entity (WebDAV)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    Api-Key:
      name: api_key
      in: header
      schema:
        type: string
        example: 245c765b124a098d09ef8765....
      description: Your API key provided by FrankieOne
      required: true
    X-Frankie-CustomerID:
      name: X-Frankie-CustomerID
      in: header
      required: true
      schema:
        type: string
        example: 12345678-1234-1234-1234-123456789012
      description: Your Customer ID provided by FrankieOne
    X-Frankie-CustomerChildID:
      name: X-Frankie-CustomerChildID
      in: header
      required: false
      schema:
        type: string
        example: 87654321-4321-4321-4321-210987654321
      description: Your Customer Child ID provided by FrankieOne
    X-Frankie-Channel:
      name: X-Frankie-Channel
      in: header
      required: false
      schema:
        type: string
      description: >-
        Open string that can be used to define the "channel" the request comes
        in from. It can potentially be used in routing and risk calculations
        upon request. Default values that can be used are:  api portal smartui
        Any alphanumeric string is supported though. Anything over 64 characters
        will be truncated.
  schemas:
    Organizations-Lookup-Request:
      type: object
      description: Contains the criteria used to lookup for organizations.
      properties:
        organizationName:
          type: string
          description: The name of the organization that we are looking up for
        organizationNumber:
          $ref: '#/components/schemas/Organization-Number'
        region:
          $ref: '#/components/schemas/Organization-Region'
      required:
        - region
    Organizations-Lookup-Response:
      type: object
      required:
        - requestId
        - matchedOrganizations
        - queryDetails
      properties:
        requestId:
          $ref: '#/components/schemas/Request-ID'
        matchedOrganizations:
          description: An array of organizations matching the provided lookup criteria
          type: array
          items:
            $ref: '#/components/schemas/Organization-Lookup-Match'
        queryDetails:
          $ref: '#/components/schemas/Organizations-Lookup-Request'
    Error:
      type: object
      x-examples:
        '400':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0400
          errorMsg: Parsing credentials from "<invalid>" failed, because invalid.
          httpStatusCode: 400
        '401':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0401
          errorMsg: Unauthenticated due to invalid credentials.
          httpStatusCode: 401
        '409':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0409
          errorMsg: Conflict.
          httpStatusCode: 409
      allOf:
        - $ref: '#/components/schemas/Error-Base'
        - type: object
          properties:
            requestId:
              $ref: '#/components/schemas/Request-ID'
    Organization-Number:
      type: object
      required:
        - registrationNumber
      properties:
        registrationNumber:
          type: string
          description: >-
            The registration number of the specific registry associated to the
            entity
        registryCode:
          type: string
          description: |-
            A code that specifies an associated registry
            ex - ABN or ACN
    Organization-Region:
      type: object
      required:
        - country
      properties:
        country:
          type: string
          pattern: ^[A-Z]{3}$
          description: >-
            The ISO-3166-1 country. You must use the alpha3 country code (e.g.

            AUS, USA, IDR, KOR, etc). 


            For more details refer to:
            [https://en.wikipedia.org/wiki/ISO_3166-1](https://en.wikipedia.org/wiki/ISO_3166-1)
        subdivision:
          type: string
          description: >-
            The ISO-3166-2 subdivision code referring to state or province or
            other regional division. 


            For more details refer to:
            [https://en.wikipedia.org/wiki/ISO_3166-2](https://en.wikipedia.org/wiki/ISO_3166-2)
    Request-ID:
      type: string
      example: 01HN9XHZN6MGXM9JXG50K59Q85
      description: The unique request identifier for the API call made.
    Organization-Lookup-Match:
      allOf:
        - type: object
          properties:
            type:
              $ref: '#/components/schemas/Code-Description'
              description: >-
                This is to indicate the type or legal form of an organization as
                described by the registry. Ex Limtied, Trusts etc.
            addresses:
              description: >-
                This will contain all the addresses related to the organization
                as found in the registry
              type: array
              items:
                $ref: '#/components/schemas/Address'
            registrationDetails:
              description: >-
                This will contain a list of different registries the
                organization is registered in
              type: array
              items:
                $ref: '#/components/schemas/Organization-Registration-Details'
            alternateNames:
              description: >-
                This will contain all the other names apart from the registered
                name of the organization. Examples - name in other languages,
                trading name, older names, etc
              type: array
              items:
                $ref: '#/components/schemas/Organization-Name'
            name:
              $ref: '#/components/schemas/Organization-Name'
              description: >-
                The name as registered in the primary registry of the
                organization
            status:
              $ref: '#/components/schemas/Organization-Status'
              description: >-
                The status based on the primary registry the organization is
                registered in
            organizationToken:
              $ref: '#/components/schemas/Organization-Token'
            phoneNumbers:
              type: array
              items:
                $ref: '#/components/schemas/Phone-Number'
            emailAddresses:
              type: array
              items:
                $ref: '#/components/schemas/Email'
            websiteUrls:
              type: array
              items:
                $ref: '#/components/schemas/Website-URL'
        - $ref: '#/components/schemas/Organization-Region'
      required:
        - organizationToken
        - organizationName
    Error-Base:
      type: object
      properties:
        errorCode:
          type: string
        errorMsg:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
    Code-Description:
      type: object
      properties:
        code:
          description: Short standard code or normalized representation of the information
          type: string
        description:
          description: >-
            The information relevant to the code, could be a more descriptive
            information
          type: string
    Address:
      type: object
      description: Address information in all available formats
      allOf:
        - $ref: '#/components/schemas/Address-Base'
        - type: object
          properties:
            unstructuredLongForm:
              type: string
              description: >-
                Raw, unformatted address as provided by the source. Not
                normalized or standardized.
              readOnly: true
              x-oapi-codegen-extra-tags:
                audit: mask
    Organization-Registration-Details:
      type: object
      allOf:
        - $ref: '#/components/schemas/Organization-Registry'
        - type: object
          properties:
            isCurrent:
              description: Indicates that the registration is current
              type: boolean
            registeredName:
              description: The name of organization in the registry
              type: string
            registeredNameDetails:
              $ref: '#/components/schemas/Organization-Registration-Name-Details'
            registeredDate:
              $ref: '#/components/schemas/Date'
              description: The date the organization was registered on
            extractedDate:
              $ref: '#/components/schemas/Date'
              description: >-
                The date when the organization details were extracted from the
                registry
            registeredSubdivision:
              description: >-
                The subdivision that the organization was registered at. The
                registered state for jurisdictions like Australia will be
                available in this field.
              type: string
            registeredCountry:
              description: The country that the organization was registered at
              type: string
            registrationStatus:
              $ref: '#/components/schemas/Organization-Status'
            registrationNumber:
              description: The registration number of the organization in the registry
              type: string
            registrationNumberType:
              description: The type of the registration number, e.g. ACN, ABN, etc.
              type: string
            registrationNumberDescription:
              description: >-
                The description of type of the registration number, e.g.
                Australian Company Number, Australian Business Number, etc.
              type: string
            updatedDate:
              $ref: '#/components/schemas/Date'
              description: The date on which the registration was last updated
            reviewDate:
              $ref: '#/components/schemas/Date'
              description: The future date when the registration needs to be reviewed
            foundationDate:
              $ref: '#/components/schemas/Date'
              description: >-
                In some registries the foundation date (when the organization
                was registered or founded) is provided
            isSuppressed:
              description: Denotes whether the information in the registry is suppressed
              type: boolean
            validFrom:
              $ref: '#/components/schemas/Date'
              description: The date on which the registration started
            validTo:
              $ref: '#/components/schemas/Date'
              description: The date on which the registration ended
          required:
            - registrationNumber
    Organization-Name:
      type: object
      properties:
        name:
          description: The organization's name
          type: string
        type:
          description: The type of name
          type: string
        validFrom:
          $ref: '#/components/schemas/Date'
          description: The date from which this name will be in effect
        validTo:
          $ref: '#/components/schemas/Date'
          description: The date until which this name will be in effect
        sourceId:
          type: string
          description: >-
            The source from where a specific information was sourced from. This
            is a link to an informationSource object in the informationSources
            map.
    Organization-Status:
      type: object
      properties:
        normalized:
          $ref: '#/components/schemas/Code-Description'
          description: normalized status form
        unstructured:
          $ref: '#/components/schemas/Code-Description'
          description: raw status form
    Organization-Token:
      type: string
      description: >-
        This is the unique Frankie token that contains all the information
        required from lookup that are needed in succeeding steps
    Phone-Number:
      type: object
      properties:
        phoneNumberId:
          $ref: '#/components/schemas/Phone-Number-ID'
        isPreferred:
          type: boolean
          example: true
          description: Indicates whether this is the individual's preferred phone number.
          x-oapi-codegen-extra-tags:
            audit: keep
        type:
          type: string
          enum:
            - OTHER
            - WORK
            - HOME
            - MOBILE
            - BUSINESS
            - FAX
          description: The type of phone number.
          example: MOBILE
          x-oapi-codegen-extra-tags:
            audit: keep
        sourceId:
          type: string
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          example: 14fd5f64-5717-4562-b3fc-2c963f66ba34
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        country:
          type: string
          description: ISO-3166-1 alpha-3 country code.
          example: AUS
          x-oapi-codegen-extra-tags:
            audit: keep
        number:
          type: string
          description: The phone number.
          example: '0426192340'
          x-oapi-codegen-extra-tags:
            audit: mask
        linkedAddresses:
          type: array
          readOnly: true
          description: >-
            If the phone number is attached to one or more addresses, the
            address IDs of those addresses will be present.
          items:
            type: object
            properties:
              addressId:
                description: The addressId of the linked address.
                type: string
                example: fa335f64-5717-4562-b3fc-2c963f66cf41
        unstructuredLongForm:
          type: string
          description: >-
            Used to capture free-form phone numbers or to store numbers that
            could not be normalized.
          x-oapi-codegen-extra-tags:
            audit: mask
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: >-
            The date and time the phone number was last updated. ISO 8601
            format.
    Email:
      type: object
      properties:
        emailAddressId:
          $ref: '#/components/schemas/Email-Address-ID'
        type:
          type: string
          enum:
            - OTHER
            - WORK
            - PERSONAL
            - BUSINESS
          example: WORK
          description: The type of email address, if known.
          x-oapi-codegen-extra-tags:
            audit: keep
        sourceId:
          type: string
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          example: 31dd15f64-5717-4562-b3fc-2c963f66234d
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        email:
          type: string
          description: >-
            The individual's email address. This email can be used to notify the
            individual of any verification requirements.
          example: leonardo_dc@outlook.com
          x-oapi-codegen-extra-tags:
            audit: mask
        isPreferred:
          type: boolean
          description: >-
            Indicates whether this email address is the individual's preferred
            email. The preferred email will be used to send notifications at the
            client's request.
          default: true
          x-oapi-codegen-extra-tags:
            audit: keep
        linkedAddresses:
          type: array
          readOnly: true
          description: >-
            If the email is attached to one or more addresses, the address IDs
            of those addresses will be present.
          items:
            type: object
            properties:
              addressId:
                description: The addressId of the linked address.
                type: string
                example: adc215f64-5717-4562-b3fc-2c963f66222a
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: >-
            The date and time the email address was last updated. ISO 8601
            format.
    Website-URL:
      title: Website URL
      type: object
      properties:
        websiteUrl:
          type: string
          description: The website URL.
        sourceId:
          type: string
          description: >
            Reference to the information source where this data was obtained.

            This should correspond to an informationSource object in the
            informationSources map.
    Issue:
      type: object
      properties:
        issue:
          type: string
          description: Description of the issue.
        issueLocation:
          type: string
          description: The location or context where the issue was identified.
        issueType:
          type: string
          description: The type or category of the issue.
    Address-Base:
      type: object
      required:
        - country
      description: Address information in all available formats
      properties:
        addressId:
          type: string
          description: >-
            As addresses are added to an entity, they are assigned an ID to
            assist with tracking.
          x-oapi-codegen-extra-tags:
            audit: keep
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: The date and time the address was last updated. ISO 8601 format.
        sourceId:
          type: string
          readOnly: true
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          x-oapi-codegen-extra-tags:
            audit: keep
        type:
          $ref: '#/components/schemas/Address-TypeEnum'
          description: >-
            Used to indicate what sort of address this is, such as residential,
            business, postal, etc. Should be used in conjunction with the status
            field to indicate the current status of the address and provide more
            context.
        typeDescription:
          type: string
          description: >-
            Description for the type or the address type as fetched from an
            authoritative source like a company registry.
          x-oapi-codegen-extra-tags:
            audit: keep
        validFrom:
          $ref: '#/components/schemas/Date'
          description: >-
            The date this address first became active. Used mostly with business
            addresses.
        validTo:
          $ref: '#/components/schemas/Date'
          description: >-
            The date this address was no longer used (if available). Used mostly
            with business addresses.
        longForm:
          type: string
          description: >-
            In some cases, the address will need to be supplied in "long form",
            such as when it is determined from a document scan, or is unparsable
            in some way.

            The service will attempt to convert it to its constituent parts
            where possible.

            WARNING: Use of longForm is not guaranteed to produce perfect
            results, due to the variety of potential formats. You have been
            warned.

            Failure to break down or disambiguate the address will result in an
            error.
          x-oapi-codegen-extra-tags:
            audit: mask
        unitNumber:
          type: string
          description: Unit/Apartment/Flat/Suite/etc. number
          x-oapi-codegen-extra-tags:
            audit: mask
        buildingName:
          type: string
          description: The name of the building, apartment block, condominium, etc.
          x-oapi-codegen-extra-tags:
            audit: mask
        streetName:
          type: string
          description: >-
            The name of the street.

            This field should ideally contain only the street name, without the
            street number or street type. In some cases, especially when
            auto-populated by external services (e.g., Google), it may include
            additional address components.

            For best results, keep the street name separate from the street
            number and street type. See
            https://docs.frankieone.com/docs/working-with-addresses for more
            details.
          x-oapi-codegen-extra-tags:
            audit: mask
        streetNumber:
          type: string
          description: >-
            The number assigned to the property on the street. Typically a
            number, but can also be alphanumeric (e.g., 3A).
          x-oapi-codegen-extra-tags:
            audit: mask
        streetType:
          type: string
          description: The street type, such as Road, Street, Avenue, Circuit, etc.
          x-oapi-codegen-extra-tags:
            audit: mask
        neighborhood:
          type: string
          description: >-
            The neighborhood or suburb within the town or city. Use this only if
            you require both a suburb and a locality/town/city; otherwise, use
            the "locality" parameter.
          x-oapi-codegen-extra-tags:
            audit: keep
        locality:
          type: string
          description: The locality, town, village, suburb, or city.
          x-oapi-codegen-extra-tags:
            audit: keep
        district:
          type: string
          description: The district, region, county, province, or cantonment.
          x-oapi-codegen-extra-tags:
            audit: keep
        subdivision:
          type: string
          description: >-
            The administrative area, state, or sub-division. Use local
            abbreviations, such as VIC (Victoria) or TX (Texas).
          x-oapi-codegen-extra-tags:
            audit: keep
        country:
          type: string
          description: >-
            The ISO-3166-1 country code. You must use the alpha-3 country code
            (e.g., AUS, USA, IDR, KOR, etc). Conversion will be handled as
            needed.

            For more details, refer to: https://en.wikipedia.org/wiki/ISO_3166-1
          x-oapi-codegen-extra-tags:
            audit: keep
        postalCode:
          type: string
          description: The postal code of the address.
          x-oapi-codegen-extra-tags:
            audit: keep
        careOf:
          type: string
          description: >-
            The individual or business name at this address, if different from
            the name of the entity to which this address belongs.
          x-oapi-codegen-extra-tags:
            audit: mask
        status:
          $ref: '#/components/schemas/Address-StatusEnum'
          description: >-
            The status of the address information, such as current, previous, or
            future. Should be used in conjunction with the `type` field to
            indicate the type of the address and provide more context.
    Organization-Registry:
      type: object
      properties:
        registry:
          description: Registry the organization is registered at
          type: string
        registryDescription:
          description: The description of the registry
          type: string
    Organization-Registration-Name-Details:
      type: object
      description: The registered name details of an organization
      properties:
        validFrom:
          $ref: '#/components/schemas/Date'
          description: The date from which this name will be in effect
        validTo:
          $ref: '#/components/schemas/Date'
          description: The date until which this name will be in effect
    Date:
      type: object
      allOf:
        - $ref: '#/components/schemas/Date-Base'
        - type: object
          properties:
            normalized:
              type: string
              format: date
              description: >-
                Full date in ISO 8601 format ("YYYY-MM-DD"). This is a read-only
                field.
              example: '1990-03-31'
              readOnly: true
              x-oapi-codegen-extra-tags:
                audit: mask
    Phone-Number-ID:
      type: string
      description: >-
        As phone numbers are added to an entity, they are assigned an ID to
        assist with tracking.

        If you are adjusting phone numbers, you will need to include the ID to
        reference it correctly in the list.
      example: ad165f64-5717-4562-b3fc-2c963f66bfa9
      x-oapi-codegen-extra-tags:
        audit: keep
    Email-Address-ID:
      type: string
      description: >-
        As email addresses are added to an entity, they are assigned a unique
        identifier to assist with modification and reference.

        To modify an email, include the emailId in an update request.
      example: aa385f64-5717-4562-b3fc-2c963f66af21
      x-oapi-codegen-extra-tags:
        audit: keep
    Address-TypeEnum:
      type: string
      default: OTHER
      enum:
        - OTHER
        - RESIDENTIAL
        - BUSINESS
        - POSTAL
        - REGISTERED_OFFICE
        - PLACE_OF_BUSINESS
        - OFFICIAL_CORRESPONDANCE
        - PLACE_OF_BIRTH
        - OFFICE_LOCALITY
        - AUTHORITATIVE_RESIDENTIAL
      x-oapi-codegen-extra-tags:
        audit: keep
    Address-StatusEnum:
      type: string
      default: CURRENT
      enum:
        - CURRENT
        - PREVIOUS
        - FUTURE
      x-oapi-codegen-extra-tags:
        audit: keep
    Date-Base:
      type: object
      properties:
        year:
          type: string
          description: Year in "YYYY" format.
          example: '1990'
          x-oapi-codegen-extra-tags:
            audit: mask
        month:
          type: string
          description: Month in "MM" format.
          example: '03'
          x-oapi-codegen-extra-tags:
            audit: mask
        day:
          type: string
          description: Day in "DD" format.
          example: '27'
          x-oapi-codegen-extra-tags:
            audit: mask
        unstructured:
          type: string
          description: >-
            Raw date format without normalization or standardization to the
            Gregorian calendar.

            This can be used to provide non-Gregorian dates (e.g., Islamic
            dates).
          example: 12 Rajab 1445 AH
          x-oapi-codegen-extra-tags:
            audit: mask
        type:
          $ref: '#/components/schemas/Date-Type'
    Date-Type:
      type: string
      default: GREGORIAN
      enum:
        - BUDDHIST
        - DISCORDIAN
        - GREGORIAN
        - HEBREW
        - ISLAMIC
        - JULIAN
        - LUNAR
        - MESO_AMERICAN
        - PERSIAN
        - OTHER
      description: >-
        The calendar system used for the date, e.g., BUDDHIST, DISCORDIAN,
        GREGORIAN, HEBREW, ISLAMIC, JULIAN, LUNAR, MESO_AMERICAN, PERSIAN, or
        OTHER.
      x-oapi-codegen-extra-tags:
        audit: keep
  securitySchemes:
    Api-Key:
      type: apiKey
      in: header
      name: api_key
      description: ''

````